
// simpleShapesView.h : interface of the CsimpleShapesView class
//

#pragma once


class CsimpleShapesView : public CView
{
protected: // create from serialization only
	CsimpleShapesView();
	DECLARE_DYNCREATE(CsimpleShapesView)

// Attributes
public:
	CsimpleShapesDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CsimpleShapesView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnGameNewteam();
};

#ifndef _DEBUG  // debug version in simpleShapesView.cpp
inline CsimpleShapesDoc* CsimpleShapesView::GetDocument() const
   { return reinterpret_cast<CsimpleShapesDoc*>(m_pDocument); }
#endif

